unit MainWndU;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, JDMMenu, Buttons, JDSB, ToolWin, ComCtrls, AbtWndU;

type
  TMainWnd = class(TForm)
    ToolBar1: TToolBar;
    JDSpeedButton1: TJDSpeedButton;
    JDMainMenu1: TJDMainMenu;
    File1: TMenuItem;
    Exit1: TMenuItem;
    Help1: TMenuItem;
    Abouut1: TMenuItem;
    N1: TMenuItem;
    Whatis1: TMenuItem;
    JDSpeedButton2: TJDSpeedButton;
    JDSpeedButton3: TJDSpeedButton;
    procedure FormCreate(Sender: TObject);
    procedure Whatis1Click(Sender: TObject);
    procedure JDSpeedButton3Click(Sender: TObject);
    procedure JDSpeedButton2Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure Abouut1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainWnd: TMainWnd;

implementation

{$R *.DFM}

procedure TMainWnd.FormCreate(Sender: TObject);
begin
   ClientHeight := ToolBar1.Height;
   Left := 0;
   Width := Screen.Width;
   Top := 0;

   JDSpeedButton2.PopUpHelp := true;

   Application.HelpFile := ExtractFilePath(Paramstr(0))+Extractfilename(Application.HelpFile); 
end;

procedure TMainWnd.Whatis1Click(Sender: TObject);
begin
   PostMessage(self.Handle, WM_SYSCOMMAND, SC_CONTEXTHELP,0);
end;

procedure TMainWnd.JDSpeedButton3Click(Sender: TObject);
begin
   Whatis1Click(Sender);
end;

procedure TMainWnd.JDSpeedButton2Click(Sender: TObject);
begin
   Exit1Click(Sender);
end;

procedure TMainWnd.Exit1Click(Sender: TObject);
begin
   Close;
end;

procedure TMainWnd.Abouut1Click(Sender: TObject);
var
   AboutBox : TAboutBox;

begin
   AboutBox := TAboutBox.Create(self);
   AboutBox.ShowModal;
   AboutBox.Free;
end;

end.
